"

 █████╗ ██╗      ██████╗  ██████╗
██╔══██╗██║     ██╔════╝ ██╔═══██╗
███████║██║     ██║  ███╗██║   ██║
██╔══██║██║     ██║   ██║██║   ██║
██║  ██║███████╗╚██████╔╝╚██████╔╝
███████╗╚██████╗ ██████╗ ████████╗███████╗
██╔════╝██╔═══██╗██╔══██╗╚══██╔══╝██╔════╝
█████╗  ██║   ██║██████╔╝   ██║   █████╗
██╔══╝  ██║   ██║██╔══██╗   ██║   ██╔══╝
██║     ╚██████╔╝██║  ██║   ██║   ███████╗
╚██████╗ ██████╗ ╚═╝  ╚═╝   ╚═╝   ╚══════╝
██╔═████╗╚════██╗
██║██╔██║ █████╔╝
████╔╝██║ ╚═══██╗
╚██████╔╝██████╔╝
 ╚═════╝ ╚═════╝
                                                                             ");
// --------------------------------
s.boot;
// if using virtual piano, internally:
s.latency = 0.26;

// if using disklavier, with 0.5s delay
s.latency = 0.75;

s.meter; s.plotTree; s.scope;
// {PinkNoise.ar!2 * 0.5}.play
MIDIClient.init(1,1);
m = MIDIOut(0);

(
~locPath = PathName.new(thisProcess.nowExecutingPath).pathOnly;
// init loads samples, libs, fx.
this.executeFile(~locPath ++ "00_init.scd")
)

/*
	piano connections:
	$ a2jmidid
	$ cd /usr/lib/lv2/sfizz.lv2/Contents/Resources
	# mv DefaultInstrument.sfz DefaultInstrument.sfz.bak
	# ln -s /home/random/SAMPLES/SFZ/SalamanderGrandPianoV3_44.1khz16bit/SalamanderGrandPianoV3Retuned.sfz DefaultInstrument.sfz
	# exit
	$ jalv  http://sfztools.github.io/sfizz
	$ jack_connect "sfizz:control" "a2j:SuperCollider [128] (capture): out0"
	$ jack_connect "sfizz:out_left" "system:playback_1"
	$ jack_connect "sfizz:out_right" "system:playback_2"
*/

PathName.new(~locPath).files.do({|i| i.fileName.postln})

this.executeFile(~locPath ++ "BLACK_HOLE_BLACK_STAR.scd")

this.executeFile(~locPath ++ "SINODA_LULLABY.scd")


this.executeFile(~locPath ++ "FLATTEN_TO_ARP.scd")
this.executeFile(~locPath ++ "MELLOW_PULSES.scd")
this.executeFile(~locPath ++ "OCTAVE_FOLDS_PLUS.scd")
this.executeFile(~locPath ++ "THE_FATHERS.scd")

~locPath.postln

// play tracks
this.executeFile(~locPath ++ "OCTAVE_FOLDS_PLUS.scd")

this.executeFile(~locPath ++ "01_OCTAVE_FOLDS_PLUS.scd")


// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
// control effects

~fxFeedDelay1.set(\feedback, 0.9)
~fxFeedDelay1.set(\time, 0.8)

~fxDelayWarp1.set(\wet, 0.1)

// sustain pedal
m.control(1, ctlNum: 64, val: 0)
m.control(1, ctlNum: 64, val: 127)

(
// TEST
Pbindef(\test, *[
	type: \midi, midicmd: \noteOn, midiout: m, chan: 1,
	dur: 1/2,
	amp: 0.7
]).play
)

x = {PinkNoise.ar!2 * 0.1}.play
x.free
